#!/usr/bin/python

import csv
import unittest

data1 = 'a,"b,c",d\ne,f,g'
data2 = '"a,b",c,d\ne,f,g'
data3 = 'a,b,"c,d"\ne,f,g'
data4 = '"a,b,c,d"\ne'


class TestCsv(unittest.TestCase):
  def testMid(self):
    dialect = csv.Sniffer().sniff(data1)
    self.assertEqual(dialect.delimiter, ',')
  def testBeg(self):
    dialect = csv.Sniffer().sniff(data2)
    self.assertEqual(dialect.delimiter, ',')
  def testEnd(self):
    dialect = csv.Sniffer().sniff(data3)
    self.assertEqual(dialect.delimiter, ',')
  def testAl(self):
    dialect = csv.Sniffer().sniff(data4)
    self.assertEqual(dialect.delimiter, '')


if __name__ == '__main__':
  unittest.main()
